<solidify-empty-container (onEscape)="backToList()"
                          [solidifyFocusFirstElement]="true"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  [formPresentational]="formPresentational"
                                  [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-institution-form #formPresentational
                                 *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                 [selectedPersonRole]="selectedPersonRole"
                                 [listRole]="listRoleObs | async"
                                 (checkAvailableChange)="checkAvailable($event)"
                                 (dirtyChange)="updateCanDeactivate($event)"
                                 (submitChange)="create($event)"
                                 (navigate)="navigate($event)"
    ></dlcm-admin-institution-form>
  </div>
</solidify-empty-container>
